## About Kinescope Video Service

Kinescope is a video hosting and streaming platform designed for businesses and content creators. It provides tools for uploading, managing, and embedding videos with advanced analytics and customization options. The service ensures high-quality video playback and supports secure video delivery, making it ideal for professional use cases.

For more information, visit the [Kinescope website](https://kinescope.io).

## Installation Instructions

Download and install the module as you would any other contributed Drupal module. For detailed instructions, see the [Installing modules](https://www.drupal.org/docs/extending-drupal/installing-modules) guide on Drupal.org.

## Settings

After installing and enabling the module, configure Kinescope integration settings:

1. Go to **Configuration > Media > Kinescope settings** in the Drupal admin menu.
2. Enter your Kinescope API token and any other required settings.
3. Save the configuration.

These settings are required for the module to fetch video metadata and interact with the Kinescope API. Make sure you have a valid API token from your [Kinescope account](https://app.kinescope.io/workspace/api_token).

## Usage
1. After enabling the module, a new media type called **Kinescope** will be available.

2. Add a new media type by navigating to **Structure > Media types > Add media type**, and set the media type to **Kinescope**.

3. Navigate to the **Media** section to add and manage Kinescope videos using this media type.

4. Add a media field to the desired content type:
  - Navigate to **Structure > Content types** and select the content type you want to edit.
  - Click on the **Manage fields** tab and add a new field.
  - Choose **Media** as the field type and configure it to allow the **Kinescope** media type.

5. Embed or reference Kinescope videos in your content as needed.
